/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.generator.impl;

import java.util.concurrent.Executor;

import ej.basedriver.Controller;
import ej.basedriver.event.ControllerEvent;
import ej.basedriver.event.DeviceEventGenerator;
import ej.basedriver.event.impl.DefaultControllerEvent;

public class ControllerEventGenerator extends DeviceEventGenerator<Controller, ControllerEvent> {

	/**
	 * @param executor
	 */
	public ControllerEventGenerator(Executor executor) {
		super(executor);
	}

	@Override
	protected ControllerEvent createEvent(Controller device) {
		return new DefaultControllerEvent(device);
	}
}
