/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.impl;

import ej.basedriver.Controller;
import ej.basedriver.event.ControllerEvent;

public class DefaultControllerEvent extends AbstractEvent<Controller> implements ControllerEvent{
	private final int state;

	/**
	 * @param device
	 */
	public DefaultControllerEvent(Controller device) {
		super(device);
		this.state = device.getState();
	}

	/**
	 * @return the state
	 */
	@Override
	public int getState() {
		return state;
	}
}
