/*
 * Java
 *
 * Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.data.pubsub;

import ej.data.DataReader;
import ej.kf.Proxy;

class MqttListenerProxy extends Proxy<MqttListener> implements MqttListener{

	@Override
	public void messageReceived(String topic, DataReader dataReader) {
		try{
			invoke();
		}
		catch(Throwable e){
			// Nothing to do
		}
	}

}
